Skip to main content
GET
Month Performers

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

month
enum<string>
required

A month number indicating the month, e.g. 1 -> January, 2 -> February, ...

Available options:
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12
Example:

"3"

Query Parameters

min_years
integer
default:10

The minimum amount of years data for the month need to be available for the ticker. Default: 10. Min: 1.

Required range: x >= 1
Example:

3

ticker_for_sector
string

A single ticker. The result will only contain tickers in the same sector as the given ticker, e.g. 'MSFT' will only yield result tickers in sector 'Technology'.

Example:

"AAPL"

s_p_500_nasdaq_only
boolean
default:false

Only return tickers, that are in the S&P 500 index or the Nasdaq 100 index.

Example:

true

min_oi
integer

The minimum open interest. Min: 0.

Required range: x >= 0
Example:

10000

limit
integer
default:50

How many items to return. Default: 50. Min: 1.

Required range: x >= 1
Example:

10

order
enum<string>

Optional columns to order the result by

Available options:
month,
positive_closes,
years,
positive_months_perc,
median_change,
avg_change,
max_change,
min_change
Example:

"ticker"

order_direction
enum<string>
default:desc

Whether to sort descending or ascending. Descending by default.

Available options:
desc,
asc
Example:

"asc"

Response

The price change for the ticker over the given count of years.

avg_change
number

The average relative price change per day for the month.

Example:

0.09494354167379757

marketcap
string

The marketcap of the underlying ticker. If the issue type of the ticker is ETF then the marketcap represents the AUM.

Example:

"2965813810400"

max_change
number

The maximum relative price change per day for the month.

Example:

0.14970489711277724

median_change
number

The median relative price change per day for the month.

Example:

0.09494354167379757

min_change
number

The minimum relative price change per day for the month.

Example:

0.0401821862348179

month
integer

The number indicating the month the data applies for. e.g. 1 -> January, 2 -> February, ...

Example:

5

positive_closes
integer

The number of years, the month had a positive close.

Example:

2

positive_months_perc
number

The relative amount of times, the month had a positive close. Multiply with 100 to get the amount in percent.

Example:

0.6667

sector
enum<string>

The financial sector of the ticker. Empty if unknown or not applicable such as ETF/Index.

Available options:
Basic Materials,
Communication Services,
Consumer Cyclical,
Consumer Defensive,
Energy,
Financial Services,
Healthcare,
Industrials,
Real Estate,
Technology,
Utilities
Example:

"Technology"

ticker
string

The stock ticker.

Example:

"AAPL"

years
number

The number of years used to calculate the data.

Example:

3

Last modified on September 29, 2026